import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router';
import Home from '../views/Home.vue';

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'Home',
    component: () => import(/* webpackChunkName: "frame" */ '../layout/home.vue'),
    children: [
      {
        path: '/',
        name: 'Index',
        meta: { title: '首页' },
        component: () => import(/* webpackChunkName: "index" */ '../views/admin/index/index.vue'),
      },
      {
        path: '/admin/menu',
        name: 'Menu',
        meta: { title: '菜单管理' },
        component: () => import(/* webpackChunkName: "menu" */ '../views/admin/menu/index.vue'),
      },
      {
        path: '/admin/role',
        name: 'Role',
        meta: { title: '角色管理' },
        component: () => import(/* webpackChunkName: "role" */ '../views/admin/role/index.vue'),
      },
    ],
  },
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
